Skip to main content
POST
/
v1
/
custom-connectors
/
{connector_id}
/
ingest
/
upload
Upload a binary as a generic event
curl --request POST \
  --url https://api.adapter.com/v1/custom-connectors/{connector_id}/ingest/upload \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'file=<string>'
{
  "status": "<string>",
  "key": "<string>",
  "size": 123,
  "file_id": "<string>"
}

Authorizations

Authorization
string
header
required

Pass your pk_live_... API key as a Bearer token.

Path Parameters

connector_id
string
required

Body

multipart/form-data
file
string
required

Response

Successful Response

status
string
required

Always 'uploaded'.

Example:

"uploaded"

key
string
required

S3 key of the stored raw object.

size
integer
required

Size of the uploaded blob in bytes.

file_id
string
required

external_id assigned to the resulting event.